Jump to content

All Activity

This stream auto-updates

  1. Past hour
  2. Bonjour @quentinQS La réponse est OUI, pour ce faire il va falloir créer un bloc avec attribut. Ce bloc sera créé depuis l'espace papier Lancer ATTDEF, répondre aux cases étiquettes et invite, puis dans "par défaut" choisir l'icône "Insérer un champ" Dans la case de dialogue qui vient de s'ouvrir, choisir OBJET dans "Catégories" puis dans "Type d'objet" choisir, via l'icône" la fenêtre FMULT dont on veut renseigner l'échelle. Choisir "Échelle personnalisée" puis dans "Format" : "Utiliser le nom de l'échelle" Créer le bloc classiquement ensuite avec insertion e
  3. ou de renvoyer pour saisir un nom 😉
  4. Oui bien sûr, cependant avec la macro il suffit d'appuyer sur echap pour sortir de la macro en cas d'erreur 🙂
  5. Today
  6. Que se soit en LISP ou sous forme de macro, si le SCU n'existe pas, tu auras une erreur, mais bon le principal c'est que cela fonctionne correctement chez toi ! Bisous, Luna
  7. Top, merci Luna ! J'ai transcris ton script en macro, ça posera sûrement moins de souci en cas d'inexistence du SCU. Ca donne ça : ^C^C_UCS _Name _Restore "Gauche" Et avec un raccourci clavier, attribué à ma souris, un simple clic sous le doigt suffit à changer de scu en 20 ms 🙂 Merci beaucoup !
  8. Arf.... Je ne crois pas. J'avais regardé à une époque. Sauf peut-être la solution de Thierry.
  9. Guest

    Champs de texte

    Bonjour Bien sur que c'est possible, tu écris un texte avec un champs, - catégorie du champs tu choisi objet, tu sélectionne ta fenêtre et tu choisi échelle personnalisée Bon après midi
  10. Bonjours à tous est t'il possible de mettre automatiquement l'échelle de la présentation dans un champs texte Merci D'avance
  11. Bonjours à tous est t'il possible de mettre automatiquement l'échelle de la présentation dans un champs texte Merci D'avance
  12. re hello @Steven Je déterre ce sujet: j'aimerais bien savoir comment tu est arrivé à pondre ce 2e profil... Dans ton 1er cas, je ferais une extrusion par chemin avec un profil de départ rectangulaire et un profil d'arrivée identique sur la largeur, mais pas en hauteur. C'est peut être pas la meilleure manière, mais ça marche: l'arase supérieure de ce voile est toujours à 90º quel que soit l'endroit de la coupe sur largeur. Ce 2e cas que tu présentes m'interloque un peu : ? comment tu arrives à ça? la face sup. me semble en "pointe" en haut. Comment le sortir "droit" partout
  13. Mon programme permet simplement de ne pas utiliser la souris pour choisir le SCU. En supposant que tu as une liste de SCU comme ceci : Gauche Droite Test SCU1 SCU2 Si tu connais par coeur ta liste de SCU alors tu peux directement saisir QSCU suivi de 1 (= Gauche) ou 2 (= Droite), etc ou 0 (= SCG). Autrement dit tu as 2 saisies clavier (1 pour lancer la commande QSCU, 1 autre pour choisir le SCU à activer). Ce programme répond en parti à ton soucis mais permet d'être plus "généraliste" sur son utilisation. Pour ton cas très précis, une simple macro suf
  14. Bonjour, tu as des changements de vue ? Pour ma part je navigue entre le scu général et le scu vue en tapant simplement "SG" ou "SV" et ça me suffit. Il est aussi possible d'écrire un bout de code qui te changera automatiquement dans le scu nommé "Gauche" automatiquement comme l'exemple précédant en forçant un nom de scu fixe. Amicalement.
  15. De fait le clic est assez rapide, mais j'ai une souris avec des boutons personnalisables et je peux ainsi activer des commandes en un clic de souris, ce qui bat tous les records de vitesse. 😉 Ton lisp est très intéressant Luna. Je suppose qu'il doit pouvoir faire ce que je cherche, mais je ne saurai le modifier pour... Quelle partie de ton code permet de définir le scu courant? Ce que je cherche : Dans mes plans j'ai deux scu, intitulés "Gauche", et le SCG. Je souhaite avoir deux lisps, chacun ayant son propre alias clavier (ou raccourci clavier, peu im
  16. Coucou, Normalement le programme conserve le(s) nom(s) des blocs utilisés lors du dernier lancement de la commande. Donc le(s) nom(s) précédemment utilisés sont proposés par défaut mais rien n'empêche d'en choisir d'autres à la place normalement... Je regarderais chat plus en détails plus tard, mais il ne me semble pas que le programme interdise la sélection d'un autre bloc si on ne veut pas la valeur par défaut... Ce qui est sûr c'est que le soucis vient donc du (entget) car un (entsel) n'a pas réussi à récupérer le nom d'un bloc... As-tu une idée de la ligne qui génère ce bu
  17. Je doute que tu puisses avoir plus rapide que 2 clics pour changer de SCU à ta guise perso'... Tu peux accéder à cette liste déroulante à de nombreux endroits de ton espace de travail : Au-dessous du ViewCube Depuis le ruban comme l'a montré La Lozère Depuis un raccourci de commande situé dans la barre d'outils "SCU II" Si tu ne veux pas utiliser la souris, alors je suppose qu'une simple macro de la commande SCU fera l'affaire Je peux te proposer ceci au besoin pour t'épargner l'écriture du nom du SCU pour le remplacer par un nombre en fonction de sa position
  18. j'obtiens bien un MNT avec quelque BUG mais je souhaitais un MNT comprenant uniquement le projet. Je ne comprend pas ; je n'arrive qu'à obtenir le MNT GLOBAL. Si cela fonctionne , c'est que mes paramétrages ne sont pas trop ratés ... Enfin j'espère
  19. J'ai dû louper un truc. J'avais créé deux blocs avec 2 noms différents. Je les ai supprimé puis purger. J'ai créé un nouveau bloc avec un nouveau nom et quand je lance lisp, il garde en valeur par défaut les noms des deux anciens blocs. Lorsque je sélectionne le nouveau, j'ai çà comme retour: type d'argument incorrect: lentityp nil
  20. Bonjour Il existe dans Covadis un objet "Zone de structure" qui permet de paramétrer par zone (polyligne fermée) des natures de sol. AutoPISTE peut ensuite générer des cubatures de ces zones de structure . Cordialement
  21. Bonjour Dans les options de calcul, agir sur les 2 options suivante : - Dessiner un objet MNT Covadis - Algorithme basé sur les lignes de ruptures. La première permet de localiser d'éventuelles zones de chevauchement du MNT projet La deuxième permet de forcer la création du MNT objet en utilisant un autre algorithme. Ce qu'il faut retenir, c'est que si le MNT objet ne se dessine pas c'est dans 99.9% des cas parce que il y a quelque part dans le projet des faces du MNT projet qui se chevauchent (à cause d'un problème de paramétrage des profils types, des points typés, d'un virag
  22. ben si tu as les "propriétés" des tes SCU à ajouter dans tes dessins existants...
  23. Je veux en effet avoir différents scu, dont le nom est bien connu, qui seront les mêmes dans plusieurs fichiers, mais je souhaite changer de scu au clavier, pas à la souris. Oui je pense bien avoir une base vba et avoir la possibilité de passer sans trop de difficultés sur AutoCAD, mais là je suis sur un rush de projet et je n'ai pas le temps de regarder ça avant 2 mois 😕
  24. voila maintennant une programmation pour gérer ça et tout est bon XD ben si tu as besoin d'aide... il y a un forum Programmation VBA
  25. Je m'en doute ! Mais je ne suis pas programmateur 😉
  26. Oui pardon, fille et petite-file ! En effet cela fonctionnerait ! Merci. Je vais travailler sur ce sujet sur mon prochain fichier 🙂
  1. Load more activity
×
×
  • Create New...